## visad.data.visad
Class VisADCachingForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.visad.VisADForm
                  visad.data.visad.VisADCachingForm

All Implemented Interfaces:
  FormFileInformer

public class VisADCachingForm
extends VisADForm

VisADCachingForm is the VisAD data format adapter for large binary visad.Data objects which may not fit in memory.

Field Summary

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`VisADCachingForm()`

Method Summary
`String[]` `getDefaultSuffixes()` Get default suffixes for files/URLs handeled by this form.
`boolean` `isThisType(byte[] block)` Check to see if the block contains the magic number for this form.
`boolean` `isThisType(String name)` Check to see if the file name might be right for this form.
`DataImpl` `open(String id)` Open an existing data object.
`DataImpl` `open(URL url)` Open a data object specified as a URL.
`DataImpl` `readData(BinaryReader rdr)`

Methods inherited from class visad.data.visad.VisADForm
`add, getForms, main, readSerial, save, save`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisADCachingForm

    public VisADCachingForm()

Method Detail

### isThisType

    public boolean isThisType(String name)

  Description copied from interface: `FormFileInformer`
  Check to see if the file name might be right for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Overrides:
    `isThisType` in class `VisADForm`

### isThisType

    public boolean isThisType(byte[] block)

  Description copied from interface: `FormFileInformer`
  Check to see if the block contains the magic number for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Overrides:
    `isThisType` in class `VisADForm`

### getDefaultSuffixes

    public String[] getDefaultSuffixes()

  Description copied from interface: `FormFileInformer`
  Get default suffixes for files/URLs handeled by this form.

  Specified by:
    `getDefaultSuffixes` in interface `FormFileInformer`
  Overrides:
    `getDefaultSuffixes` in class `VisADForm`

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         VisADException

  Description copied from class: `FormNode`
  Open a data object specified as a URL.

  Overrides:
    `open` in class `VisADForm`
  Throws:
    `BadFormException`
    `VisADException`

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         IOException,
                         VisADException

  Description copied from class: `FormNode`
  Open an existing data object.

  Overrides:
    `open` in class `VisADForm`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### readData

    public DataImpl readData(BinaryReader rdr)
                      throws IOException,
                             VisADException

  Overrides:
    `readData` in class `VisADForm`
  Throws:
    `IOException`
    `VisADException`